Bug 1418809 - Backport RHCS 2.2 : Have a flavor of bucket deletion in radosgw-admin to bypass garbage collection
Summary: Backport RHCS 2.2 : Have a flavor of bucket deletion in radosgw-admin to bypa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 1.3.3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 2.2
Assignee: Matt Benjamin (redhat)
QA Contact: Ramakrishnan Periyasamy
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1412948
TreeView+ depends on / blocked
 
Reported: 2017-02-02 19:10 UTC by Vikhyat Umrao
Modified: 2017-07-30 15:52 UTC (History)
11 users (show)

Fixed In Version: RHEL: ceph-10.2.5-20.el7cp Ubuntu: ceph_10.2.2-13redhat1xenial
Doc Type: Enhancement
Doc Text:
.The radosgw-admin utility now supports new options The `radosgw-admin` utility now supports the new `--bypass-gc` and `--inconsistent-index` options. Use these options when deleting indexed buckets to bypass the garbage collector and to ignore bucket index consistency, which improves the speed of the deletion.
Clone Of:
Environment:
Last Closed: 2017-03-14 15:48:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0514 normal SHIPPED_LIVE Red Hat Ceph Storage 2.2 bug fix and enhancement update 2017-03-21 07:24:26 UTC
Red Hat Bugzilla 1318409 None CLOSED RGW deletion is sequential and slow on large buckets of objects 2019-02-19 09:26:48 UTC
Red Hat Knowledge Base (Solution) 2901171 None None None 2017-02-02 21:07:16 UTC

Internal Links: 1318409

Description Vikhyat Umrao 2017-02-02 19:10:25 UTC
Description of problem:
Backport RHCS 2.2 : Have a flavor of bucket deletion in radosgw-admin to bypass garbage collection

http://tracker.ceph.com/issues/16871
Jewel PR: https://github.com/ceph/ceph/pull/10661

Version-Release number of selected component (if applicable):
Red Hat Ceph Storage 2

Comment 11 Ramakrishnan Periyasamy 2017-02-14 10:59:08 UTC
Moving this bug to verified state.

Command used for deleting objects and bucket "sudo time radosgw-admin bucket rm --bucket=test_container --bypass-gc --purge-objects --cluster ceph1" which deleted all the objects and the bucket.

RGW logs has gc::process removal for the objects from pools 

2017-02-14 10:57:08.371170 7fe17dff4700  0 gc::process: removing default.rgw.buckets.data:95173e61-a772-4331-bfda-20f2d5f4d9ce.265226.18__shadow_.-SH-tegncNmw2-_cTntovJcYxJGuvo__53
2017-02-14 10:57:08.533200 7fe17dff4700  0 gc::process: removing default.rgw.buckets.data:95173e61-a772-4331-bfda-20f2d5f4d9ce.265226.18__shadow_.-SH-tegncNmw2-_cTntovJcYxJGuvo__54
2017-02-14 10:57:08.558405 7fe17dff4700  0 gc::process: removing default.rgw.buckets.data:95173e61-a772-4331-bfda-20f2d5f4d9ce.265226.18__shadow_.-SH-tegncNmw2-_cTntovJcYxJGuvo__55
2017-02-14 10:57:08.588957 7fe17dff4700  0 gc::process: removing default.rgw.buckets.data:95173e61-a772-4331-bfda-20f2d5f4d9ce.265226.18__shadow_.-SH-tegncNmw2-_cTntovJcYxJGuvo__56
2017-02-14 10:57:08.717001 7fe17dff4700  0 gc::process: removing default.rgw.buckets.data:95173e61-a772-4331-bfda-20f2d5f4d9ce.265226.18__shadow_.-SH-tegncNmw2-_cTntovJcYxJGuvo__57

Let me know if i am missing anything here.

Comment 16 errata-xmlrpc 2017-03-14 15:48:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0514.html


Note You need to log in before you can comment on or make changes to this bug.